SortingIntEncoder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.encoding.SortingIntEncoder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.encoding
Class SortingIntEncoder

    java.lang.Object
      org.apache.lucene.util.encoding.IntEncoder
          org.apache.lucene.util.encoding.IntEncoderFilter
              org.apache.lucene.util.encoding.SortingIntEncoder

    public class SortingIntEncoder

extends IntEncoderFilter

An `IntEncoderFilter` which sorts the values to encode in ascending order before encoding them. Encoding therefore happens upon calling `close()`. Since this encoder is usually chained with another encoder that relies on sorted values, it does not offer a default constructor.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.util.encoding.IntEncoderFilter
`encoder`

Fields inherited from class org.apache.lucene.util.encoding.IntEncoder
`out`

Constructor Summary
`SortingIntEncoder(IntEncoder encoder)` Initializes with the given encoder.

Method Summary
`void` | `close()` Instructs the encoder to finish the encoding process.
`IntDecoder` | `createMatchingDecoder()` Returns an `IntDecoder` which matches this encoder.
`void` | `encode(int value)` Encodes an integer to the output stream given in `reInit`
`void` | `reInit(OutputStream out)` Reinitializes the encoder with the give `OutputStream`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortingIntEncoder

    public SortingIntEncoder(IntEncoder encoder)

  Initializes with the given encoder.

Method Detail

### close

    public void close()
               throws IOException

  Description copied from class: `IntEncoder`
  Instructs the encoder to finish the encoding process. This method closes the output stream which was specified by `reInit`. An implementation may do here additional cleanup required to complete the encoding, such as flushing internal buffers, etc.
  Once this method was called, no further calls to `encode` should be made before first calling `reInit`.

  NOTE: overriding classes should make sure they either call `super.close()` or close the output stream themselves.

  Overrides:
    `close` in class `IntEncoderFilter`
  Throws:
    `IOException`

### encode

    public void encode(int value)
                throws IOException

  Description copied from class: `IntEncoder`
  Encodes an integer to the output stream given in `reInit`

  Specified by:
    `encode` in class `IntEncoder`
  Throws:
    `IOException`

### createMatchingDecoder

    public IntDecoder createMatchingDecoder()

  Description copied from class: `IntEncoder`
  Returns an `IntDecoder` which matches this encoder. Every encoder must return an `IntDecoder` and `null` is not a valid value. If an encoder is just a filter, it should at least return its wrapped encoder's matching decoder.

  NOTE: this method should create a new instance of the matching decoder and leave the instance sharing to the caller. Returning the same instance over and over is risky because encoders and decoders are not thread safe.

  Specified by:
    `createMatchingDecoder` in class `IntEncoder`

### reInit

    public void reInit(OutputStream out)

  Description copied from class: `IntEncoder`
  Reinitializes the encoder with the give `OutputStream`. For re-usability it can be changed without the need to reconstruct a new object.

  NOTE: after calling `IntEncoder.close()`, one must call this method even if the output stream itself hasn't changed. An example case is that the output stream wraps a byte[], and the output stream itself is reset, but its instance hasn't changed. Some implementations of `IntEncoder` may write some metadata about themselves to the output stream, and therefore it is imperative that one calls this method before encoding any data.

  Overrides:
    `reInit` in class `IntEncoderFilter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD